﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Browser;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace GeocodingGogoCS
{
    //一覧用表示項目
    public class Item
    {
        //店舗ID(http://gogo.gs/shop/店舗ID.html)
        public string ShopCode { set; get; }
        //店舗種類
        public string Brand { set; get; }
        //店舗名
        public string ShopName { set; get; }
        //緯度
        public string Latitude { set; get; }
        //経度
        public string Longitude { set; get; }
        //距離
        public int Distance { set; get; }
        //所在地
        public string Address { set; get; }
        //価格
        public int Price { set; get; }
        //確認日付
        public string CheckDate { set; get; }
        //写真ID(http://gogo.gs/images/rally/店舗ID-写真ID.jpg)
        public string Photo { set; get; }
        //24時間営業
        public string Rtc { set; get; }
        //セルフ給油
        public string Self { set; get; }
        //店舗URI
        public string ShopUri { get { return string.Format("http://gogo.gs/shop/{0}.html", this.ShopCode); } }
        //写真URI
        public string PhotoUri { get { return string.Format("http://gogo.gs/images/rally/{0}-{1}.jpg", this.ShopCode, this.Photo); } }
        //地図URI
        public string MapUri
        {
            get
            {
                return string.Format("http://maps.google.co.jp/maps?f=q&hl=ja&geocode=&q={0}&ll={1},{2}",
                    HttpUtility.UrlEncode(this.Address), this.Latitude, this.Longitude);
            }
        }
    }
}
